DIFF3(1)

NAMA
diff3- bandingkan tiga berkas baris per baris

RINGKASAN
diff3 [PILIHAN]... BERKAS_SAYA BERKAS_LAMA BERKAS_ANDA

DESKRIPSI
Bandingkan tiga berkas baris per baris.

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

-A, --show-all
    keluarkan semua perubahan, konflik dalam tanda kurung

-e, --ed
    keluarkan skrip ed(1) yang menyertakan perubahan dari BERKAS_LAMA ke BERKAS_ANDA ke dalam BERKAS_SAYA

-E, --show-overlap
    seperti -e, tapi apit konflik dalam kurung

-3, --easy-only
    seperti -e, tapi hanya melibatkan perubahan yang tidak bertindih

-x, --overlap-only
    seperti -e, tapi hanya sertakan perubahan yang bertindih

-X  seperti -x, tapi apit konflik dalam kurung

-i  imbuhkan perintah 'w' dan 'q' ke skrip ed(1)

-m, --merge
    keluarkan berkas tergabung yang sebenarnya, sesuai dengan -A bila tidak diberikan opsi lain

-a, --text
    perlakukan semua berkas sebagai teks

--strip-trailing-cr
    hapus carriage return di akhir pada masukan

-T, --initial-tab
    buat tab lurus dengan menyisip di depan tab

--diff-program=PROGRAM
    gunakan PROGRAM untuk membandingkan berkas

-L, --label=LABEL
    pakai LABEL sebagai pengganti nama berkas (dapat diulang sampai dengan tiga kali)

--help
    tampilkan bantuan ini dan keluar

-v, --version
    tulis informasi versi dan keluar

Format keluaran baku adalah representasi perubahan yang kurang lebih dapat dibaca oleh orang.

Opsi -e, -E, -x, -X (dan opsi panjang yang terkait) menyebabkan dikeluarkannya sebuah skrip ed sebagai pengganti yang baku.

Akhirnya, opsi -m (--merge) menyebabkan diff3 melakukan penggabungan secara internal dan mengeluarkan berkas gabungan sebenarnya. Untuk masukan yang tidak biasa, ini lebih tahan banting daripada memakai ed(1).

Jika sebuah BERKAS adalah '-', baca masukan standard. Status keluaran adalah 0 jika sukses, 1 jika konflik, 2 jika bermasalah.

PENGARANG
Ditulis oleh Randy Smith.

MELAPORKAN BUG
Laporkan bugs ke: <bug-diffutils@gnu.org>.
GNU diffutils halaman rumah: <https://www.gnu.org/software/diffutils/>
Bantuan umum menggunakan perangkat lunak GNU: <https://www.gnu.org/gethelp/>

HAK CIPTA
Hak Cipta © 2021 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
cmp(1), diff(1), sdiff(1)

The full documentation for diff3 is maintained as a Texinfo manual. If the info and diff3 programs are properly installed at your site, the command

    info diff3

should give you access to the complete manual.

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.